import request from '@/utils/request'

// 查询物资柜-分页   /dev-api/iscs/cabinet/getIsMaterialsCabinetPage
export function getMaterialsCabinet(query) {
    return request({
        url: '/iscs/cabinet/getIsMaterialsCabinetPage',
        method: 'get',
        params: query
    })
}


// 新增物资柜 /dev-api/iscs/cabinet/insertIsMaterialsCabinet
export function addMaterialsCabinet(data) {
    return request({
        url: '/iscs/cabinet/insertIsMaterialsCabinet',
        method: 'post',
        data: data
    })
}


// 修改物资柜  /dev-api/iscs/cabinet/updateIsMaterialsCabinet
export function updateMaterialsCabinet(data) {
    return request({
        url: '/iscs/cabinet/updateIsMaterialsCabinet',
        method: 'post',
        data: data
    })
}

// 删除物资柜 /dev-api/iscs/cabinet/deleteIsMaterialsCabinetByCabinetIds
export function deleteMaterialsCabinet(data) {
    return request({
        url: '/iscs/cabinet/deleteIsMaterialsCabinetByCabinetIds?cabinetIds=' + data,
        method: 'post',
    })
}

// 获取物资柜详细信息  /dev-api/iscs/cabinet/selectIsMaterialsCabinetById
export function selectMaterialsCabinetById(query) {
    return request({
        url: '/iscs/cabinet/selectIsMaterialsCabinetById?cabinetId=' + query,
        method: 'get',
    })
}
